// Project 7 – Experimenting with XOR

#include <avr/io.h>
#include <util/delay.h>
#define TIME 250     // delay in milliseconds

int main(void)
{
    uint8_t i;         // 8-bit integer variable “i”
    DDRB = 0b11111111; // set PORTB register as outputs

    for(;;)
    {
        for (i = 0; i < 255; i++)
        {
            _delay_ms(TIME);
            PORTB = 0b11111111 ^ i;
        }
    }
    return 0;             
}
