// Listing 10-1

#include <avr/io.h>
#include <util/delay.h>

void blinkSlow()
{
    uint8_t i;
    for (i = 0; i < 5; i++)
    {
        PORTB |= (1 << PORTB0);
        _delay_ms(1000);
        PORTB &= ~(1 << PORTB0);
        _delay_ms(1000);
    }
}

void blinkFast()
{
    uint8_t i;	
    for (i = 0; i < 5; i++)
    {
        PORTB |= (1 << PORTB0);
        _delay_ms(250);
        PORTB &= ~(1 << PORTB0);
        _delay_ms(250);
    }
}

int main(void)
{
    DDRB |= (1 << PORTB0); // set PORTB0 as output
    while (1) 
    {
        blinkSlow();
        _delay_ms(1000);
        blinkFast();
        _delay_ms(1000);
    }
}